manifestVersion: "0.0.1"
id: core-lightning
category: bitcoin
name: Core Lightning
version: "25.09.3-hotfix.1"
tagline: Запустите свой личный узел Core Lightning.
description: >-
  Начните работу с сетью Lightning сегодня с Core Lightning —
  Lightning Реализация сети с упором на соответствие спецификациям и производительность.
  
  
  Сеть Lightning позволяет проводить сверхдешевые и почти мгновенные транзакции Bitcoin.
  Запустив узел Lightning, вы можете не только самостоятельно хранить свой Bitcoin на
  Lightning, но также зарабатывайте саты, маршрутизируя платежи в сети.
  
  
  Ядро Lightning и приложение на базе Blockstream.
developer: Core Lightning
website: https://blockstream.com/lightning/
dependencies:
  - bitcoin
repo: https://github.com/ElementsProject/cln-application
support: https://community.corelightning.org/home
port: 2103
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultPassword: ""
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
releaseNotes: >-
  В этом выпуске исправления устранена проблема, из-за которой пользователи не могли подключить внешние клиенты кошелька к своему узлу Core Lightning.
  Если ранее вам не удавалось подключить кошелек, перейдите в «Настройки» в правом верхнем углу > Подключить кошелек > и выберите желаемый метод подключения, чтобы просмотреть исправленные сведения о подключении.
  
  
  **Примечания к предыдущим выпускам:**
  
  
  Это обновляет cln-application до версии 25.07.3, Lightningd до версии 25.09.3 и заменяет устаревшую службу c-lightning-rest встроенным интерфейсом REST Lightningd.
  
  
  **Приложение CLN v25.07.3:**
    - Превентивное устранение широко распространенной угрозы экосистемы npm, связанной с вредоносным кодом в популярных пакетах.
    - Обновлены и оптимизированы переменные среды для улучшения конфигурации и удобства использования.
    - Добавлена поддержка запуска Commando через безопасные соединения WebSocket (например, wss-proxy).
    - Удалена версия и суффикс фиксации из псевдонимов узлов для более четкого отображения.
    - Обновлен формат даты BKPR с ГГГГ-ММ-ДД на стандарт интерфейс ДД МММ, ГГГГ.
    - Добавлена поддержка бесконечной прокрутки для транзакций BTC, предложений CLN и транзакций CLN.
  
  **CLN v25.09.3:**
    - Бухгалтер был перенесен в Core Lightning, что позволяет отслеживать платежи, сборы и деятельность каналов.
    - xpay теперь может напрямую оплачивать адреса BIP353 (например, ₿cln@blockstream.com) и простые предложения без дополнительных действий.
    - Улучшена обратная связь при сбое создания канала из-за ограничений емкости.
    - Теперь ограничено количество частей, на которые платеж может быть разделен на xpay и Askrene.
    - Reckless теперь поддерживает современный менеджер пакетов uv для плагинов Python.
    - Улучшено количество возможных решений, найденных в основном цикле решателя на аскене.
    - Улучшения сращивания обеспечивают лучшую совместимость с Eclair и непрерывную маршрутизацию во время модификации канала.
    - Повысьте безопасность, гарантируя, что все одноранговые узлы поддерживают тип канала.
    - Секреты оплаты теперь обязательны в счетах BOLT11 для лучшей защиты платежей.
backupIgnore:
  - data/lightningd/bitcoin/lightningd.sqlite3
